Hooks:PostHook(MoneyTweakData, "init", "Moneyz", function(self, tweak_data)
	local difficulty = Global.game_settings and Global.game_settings.difficulty or "normal"
	local difficulty_index = tweak_data:difficulty_to_index(difficulty)
	self.bag_values = { --the DS value is this number *230
		default = 100,					   --goat, MISSION LOOT LOW
		money = 1000, 					   --money exists out of 21 bundles of $10000 so 210000, was 1500
		gold = 1400, 					   --was 2875, new priced based on rl gold price
		diamonds = 1000,                   --Possible value
		coke = 1215,					   --also yayo, 4kg 70/gram 70*1000*4=280.000 was 2000
		coke_pure = 1740, 				   --4kg 100/gram 400.000 was 3000
		meth = 490, 					   --28.000/kg the pile is extremly small but we will pretend it is 4 kg was 13.000
		meth_half = 245, 				   --was 6.500
		weapon = 3,                        --This is a single AK47
		weapons = 6,                       --2 ak 47s, 2*650=$1300 was 3000
		painting = 3000,                   --I ain't an art expert
		samurai_suit = 280,            	   --contains 4 parts WIP total value is $260.000 so one part is 260000:4:230=
		artifact_statue = 5000,		       --artifacts are hard to compare to real life so no change
		mus_artifact_bag = 1000,		   --artifacts are hard to compare to real life so no change
		circuit = 1000,					   --artifacts are hard to compare to real life so no change
		shells = 2100,                     --military grade tech so hard to value
		turret = 10000,                    --military grade tech so hard to value
		sandwich = 10000,                  --rare item, Almirs Toast
		cro_loot = 10000,                  --MISSION LOOT LOW (Cro stands for Croatian its the Butcher bomb)
		hope_diamond = 30000,              --MISSION LOOT LOW
		evidence_bag = 3000,               --Bain decided the value, can be really high
		vehicle_falcogini = 1325,          --Is a Lamborghini Gallardo worth €263.000=$305.000, was 4000, actually mission loot but it's Bain
		warhead = 4600,                    --MISSION LOOT
		unknown = 5000,                    --MISSION LOOT
		safe = 4600,                       --MISSION LOOT
		prototype = 10000,                 --military grade tech so hard to value
		faberge_egg = 3000,				   --differing value depending on historical value, unedited
		treasure = 3200,				   --complete treasure estimated at least 26 million, shouldn't edit for balance reasons
		counterfeit_money = 625,           --120*24*100=$288.000 counterfeit, counterfeit money is sold for 1/2 of the normal value so 288000/2:230=625 was 1100
		box_unknown = 10000,               --Loot in the new heists, can't be valued
		black_tablet = 10000,              --Loot in Shacklethorne, can't be valued
		masterpiece_painting = 10000, 	   --Painting based on real life, possible value
		master_server = 10000, 			   --Value can be really high
		lost_artifact = 10000,			   --Value can be really high
		present = 1215, 				   --contains 4kg coke
		mad_master_server_value_1 = 5000,  --MISSION LOOT NORMAL
		mad_master_server_value_2 = 10000, --MISSION LOOT NORMAL
		mad_master_server_value_3 = 15000, --MISSION LOOT NORMAL
		mad_master_server_value_4 = 20000, --MISSION LOOT NORMAL
		weapon_glock = 5, 				   --2 glocks, both €500=$1260 was 2000
		weapon_scar = 20, 			       --battlerifle WIP $4600, was 2000
		drk_bomb_part = 9000, 			   --MISSION LOOT NORMAL
		drone_control_helmet = 18000,      --military grade tech so hard to value
		toothbrush = 18000, 			   --rare item
		cloaker_gold = 1500,			   --fantasy item
		cloaker_money = 1750, 			   --fantasy item
		cloaker_cocaine = 1500, 		   --fantasy item
		diamond_necklace = 2175,		   --assuming the item holds 5 kg, was 2875
		vr_headset = 2175,		   		   --assuming the item holds 5 kg, was 2875
		women_shoes = 2175,			   	   --assuming the item holds 5 kg, was 2875		   
		expensive_vine = 2175,		   	   --assuming the item holds 5 kg, was 2875
		ordinary_wine = 2175,		   	   --assuming the item holds 5 kg, was 2875
		robot_toy = 2175,		           --assuming the item holds 5 kg, was 2875
		rubies = 1500,                     --Possible
		red_diamond = 30000,               --Value is really high, was 10.000
		old_wine = 2000				       --the most expensive wine is $500.000 so this price is possible
	}
	self.sell_weapon_multiplier = 0.5             --was 0.25
	self.sell_mask_multiplier = 0.20              --was 0.25
	self.killing_civilian_deduction = 0           --was self._create_value_table(2000, 50000, 10, true, 2)
	--local smallest_cashout = (self.stage_completion[1] + self.job_completion[1]) * self.offshore_rate
	--local biggest_mask_cost = self.biggest_cashout * 40
	--local biggest_mask_cost_deinfamous = math.round(biggest_mask_cost / self.global_value_multipliers.infamous)
	--local biggest_mask_part_cost = math.round(smallest_cashout * 20)
	--local smallest_mask_part_cost = math.round(smallest_cashout * 1.9)
	--local biggest_weapon_cost = math.round(self.biggest_cashout * 1.15)
	--local smallest_weapon_cost = math.round(smallest_cashout * 3)
	--local biggest_weapon_mod_cost = math.round(self.biggest_cashout * 0.1)
	--local smallest_weapon_mod_cost = math.round(smallest_cashout * 0.6)
	--self.weapon_cost = self._create_value_table(smallest_weapon_cost, biggest_weapon_cost, 40, true, 1.1)
	--self.modify_weapon_cost = self._create_value_table(smallest_weapon_mod_cost, biggest_weapon_mod_cost, 10, true, 1.2)
	--self.remove_weapon_mod_cost_multiplier = self._create_value_table(1, 1, 10, true, 1)
	--self.masks = {
	--	mask_value = self._create_value_table(smallest_mask_part_cost, smallest_mask_part_cost * 2, 10, true, 2),
	--	material_value = self._create_value_table(smallest_mask_part_cost * 0.5, biggest_mask_part_cost, 10, true, 1.2),
	--	pattern_value = self._create_value_table(smallest_mask_part_cost * 0.4, biggest_mask_part_cost, 10, true, 1.1),
	--	color_value = self._create_value_table(smallest_mask_part_cost * 0.3, biggest_mask_part_cost, 10, true, 1)
	--}
	--self.mission_asset_cost_small = self._create_value_table(2500, 15000, 10, true, 1)
	--self.mission_asset_cost_medium = self._create_value_table(10000, 45000, 10, true, 1)
	--self.mission_asset_cost_large = self._create_value_table(55000, 400000, 10, true, 1)
	self.preplaning_asset_cost_multiplier_by_risk = {
		1,
		2,
		5,
		10,
		11, --was 13
		12, --was 13
		13
	}
--for explanation look at DS
	if difficulty_index <= 2 then --normal 1
		self.small_loot.money_bundle = 1000			 		   --no change			
		self.small_loot.money_bundle_value = 10000			   --no change
		self.small_loot.ring_band = 1954 					   --no change
		self.small_loot.diamondheist_vault_bust = 900		   --necklace, was 900
		self.small_loot.diamondheist_vault_diamond = 11500	   --in real life these are worth millions so I increased the value, was 1150
		self.small_loot.diamondheist_big_diamond = 11500	   --in real life these are worth millions so I increased the value, was 1150
		self.small_loot.mus_small_artifact = 700			   --packed with multiple, no change as I am no expert on artifacts
		self.small_loot.value_gold = 3100					   --based on vault price, was 3000
		self.small_loot.gen_atm = 15000 					   --was 23000
		self.small_loot.special_deposit_box = 3500			   --If I remember correctly this isn't used
		self.small_loot.slot_machine_payout = 25000 		   --no change
		self.small_loot.vault_loot_chest = 570				   --no change
		self.small_loot.vault_loot_diamond_chest = 15000	   --in real life these are worth millions so I increased the value,was 610
		self.small_loot.vault_loot_banknotes = 500 			   --no change
		self.small_loot.vault_loot_silver = 160 			   --4kg silver
		self.small_loot.vault_loot_diamond_collection = 1600   --changed, was 650
		self.small_loot.vault_loot_trophy = 690                --no change
		self.small_loot.money_wrap_single_bundle_vscaled = 385 --no idea what this is
		self.small_loot.spawn_bucket_of_money = 20000		   --same as money counting machine, possible ammount, no change
		self.small_loot.vault_loot_gold = 3100                 --was 2500
		self.small_loot.vault_loot_cash = 2300				   --money rolls
		self.small_loot.vault_loot_coins = 800  			   --coin collections have very different values
		self.small_loot.vault_loot_ring = 38				   --ring aren't that expensive
		self.small_loot.vault_loot_jewels = 3000               --changed, was 600  
		self.small_loot.vault_loot_macka = 1                   --no change
	elseif difficulty_index == 3 then  --hard 2
		self.small_loot.money_bundle = 2000 				   --scaling was 1000
		self.small_loot.money_bundle_value = 10000			   --no change
		self.small_loot.ring_band = 1954 					   --no change
		self.small_loot.diamondheist_vault_bust = 1800		   --necklace, was 1800
		self.small_loot.diamondheist_vault_diamond = 23000	   --in real life these are worth millions so I increased the value, was 2300
		self.small_loot.diamondheist_big_diamond = 23000	   --in real life these are worth millions so I increased the value, was 2300
		self.small_loot.mus_small_artifact = 1450			   --packed with multiple, no change as I am no expert on artifacts
		self.small_loot.value_gold = 6200					   --based on vault price, was 3000
		self.small_loot.gen_atm = 30000					       --changed, was 46000
		self.small_loot.special_deposit_box = 3500			   --If I remember correctly this isn't used
		self.small_loot.slot_machine_payout = 50000 		   --no change
		self.small_loot.vault_loot_chest = 1150				   --no change
		self.small_loot.vault_loot_diamond_chest = 30000	   --in real life these are worth millions so I increased the value, was 1250
		self.small_loot.vault_loot_banknotes = 1000 		   --no change
		self.small_loot.vault_loot_silver = 320 			   --4kg silver
		self.small_loot.vault_loot_diamond_collection = 3200   --changed, was 1300
		self.small_loot.vault_loot_trophy = 1400 			   --no change
		self.small_loot.money_wrap_single_bundle_vscaled = 775 --no idea what this is
		self.small_loot.spawn_bucket_of_money = 40000		   --same as money counting machine, possible ammount, no change
		self.small_loot.vault_loot_gold = 6200 				   --was 5000
		self.small_loot.vault_loot_cash = 4600				   --money rolls, was 2500
		self.small_loot.vault_loot_coins = 1500  			   --coin collections have very different values
		self.small_loot.vault_loot_ring = 80				   --ring aren't that expensive
		self.small_loot.vault_loot_jewels = 6000               --changed was 1200
		self.small_loot.vault_loot_macka = 1 				   --no change
	elseif difficulty_index == 4 then --very hard 5
		self.small_loot.money_bundle = 4000 				   --scaling was 1000
		self.small_loot.money_bundle_value = 10000			   --no change
		self.small_loot.ring_band = 1954 					   --no change
		self.small_loot.diamondheist_vault_bust = 4500		   --necklace
		self.small_loot.diamondheist_vault_diamond = 57500	   --in real life these are worth millions so I increased the value, was 5750
		self.small_loot.diamondheist_big_diamond = 57500	   --in real life these are worth millions so I increased the value, was 5750
		self.small_loot.mus_small_artifact = 3600			   --packed with multiple, no change as I am no expert on artifacts
		self.small_loot.value_gold = 15500					   --based on vault price, was 3000
		self.small_loot.gen_atm = 75000					       --changed, was 115000
		self.small_loot.special_deposit_box = 3500			   --If I remember correctly this isn't used
		self.small_loot.slot_machine_payout = 125000 		   --no change
		self.small_loot.vault_loot_chest = 2900				   --no change
		self.small_loot.vault_loot_diamond_chest = 75000	   --in real life these are worth millions so I increased the value, was 3100
		self.small_loot.vault_loot_banknotes = 2500 		   --no change
		self.small_loot.vault_loot_silver = 800 			   --4kg silver
		self.small_loot.vault_loot_diamond_collection = 8000   --changed, was 3300
		self.small_loot.vault_loot_trophy = 3500 			   --no change
		self.small_loot.money_wrap_single_bundle_vscaled = 1950--no idea what this is
		self.small_loot.spawn_bucket_of_money = 100000		   --same as money counting machine, possible ammount, no change
		self.small_loot.vault_loot_gold = 15500 			   --was 11500
		self.small_loot.vault_loot_cash = 11500				   --money rolls
		self.small_loot.vault_loot_coins = 4000  			   --coin collections have very different values
		self.small_loot.vault_loot_ring = 200				   --ring aren't that expensive, was 1750
		self.small_loot.vault_loot_jewels = 15000			   --changed, was 3000
		self.small_loot.vault_loot_macka = 1 				   --no change
	elseif difficulty_index == 5 then --OVK 10
		self.small_loot.money_bundle = 7000 				   --scaling was 1000
		self.small_loot.money_bundle_value = 10000			   --no change
		self.small_loot.ring_band = 1954 					   --no change
		self.small_loot.diamondheist_vault_bust = 9000		   --necklace, was 9000
		self.small_loot.diamondheist_vault_diamond = 115000	   --in real life these are worth millions so I increased the value, was 15000
		self.small_loot.diamondheist_big_diamond = 115000	   --in real life these are worth millions so I increased the value, was 15000
		self.small_loot.mus_small_artifact = 7000			   --packed with multiple, no change as I am no expert on artifacts
		self.small_loot.value_gold = 31000					   --based on vault price, was 3000
		self.small_loot.gen_atm = 150000					   --changed, was 230000
		self.small_loot.special_deposit_box = 3500			   --If I remember correctly this isn't used
		self.small_loot.slot_machine_payout = 250000 		   --no change
		self.small_loot.vault_loot_chest = 5800				   --no change
		self.small_loot.vault_loot_diamond_chest = 150000	   --in real life these are worth millions so I increased the value, was 6200
		self.small_loot.vault_loot_banknotes = 5000 		   --no change
		self.small_loot.vault_loot_silver = 1600 			   --4kg silver
		self.small_loot.vault_loot_diamond_collection = 16000  --changed, was 6500
		self.small_loot.vault_loot_trophy = 6900 			   --no change
		self.small_loot.money_wrap_single_bundle_vscaled = 3800--no idea what this is
		self.small_loot.spawn_bucket_of_money = 200000		   --same as money counting machine, possible ammount, no change
		self.small_loot.vault_loot_gold = 31000 			   --was 23.000
		self.small_loot.vault_loot_cash = 23000				   --money rolls
		self.small_loot.vault_loot_coins = 8000  			   --coin collections have very different values
		self.small_loot.vault_loot_ring = 400				   --rings aren't that expensive, was 3500
		self.small_loot.vault_loot_jewels = 30000  			   --changed, was 5775
		self.small_loot.vault_loot_macka = 1 				   --no change
	elseif difficulty_index == 6 then --Mayhem 11 SCALING
		self.small_loot.money_bundle = 8000 				   --scaling was 1000
		self.small_loot.money_bundle_value = 10000			   --no change
		self.small_loot.ring_band = 1954 					   --no change
		self.small_loot.diamondheist_vault_bust = 12000		   --necklace, was 12000
		self.small_loot.diamondheist_vault_diamond = 126000	   --in real life these are worth millions so I increased the value, was 15000
		self.small_loot.diamondheist_big_diamond = 126000	   --in real life these are worth millions so I increased the value, was 15000
		self.small_loot.mus_small_artifact = 8000		  	   --scaling, was 9500
		self.small_loot.value_gold = 34000					   --based on vault price, was 3000
		self.small_loot.gen_atm = 170000					   --scaling was 165000
		self.small_loot.special_deposit_box = 3500			   --If I remember correctly this isn't used
		self.small_loot.slot_machine_payout = 275000		   --scaling, was 325000
		self.small_loot.vault_loot_chest = 6350			       --scaling, was 7500
		self.small_loot.vault_loot_diamond_chest = 170000	   --in real life these are worth millions so I increased the value
		self.small_loot.vault_loot_banknotes = 5500			   --scaling was 6500
		self.small_loot.vault_loot_silver = 1750 			   --4kg silver
		self.small_loot.vault_loot_diamond_collection = 17600  --was 8500
		self.small_loot.vault_loot_trophy = 7600 			   --scaling was 9000
		self.small_loot.money_wrap_single_bundle_vscaled = 5000--no idea what this is
		self.small_loot.spawn_bucket_of_money = 220000		   --same as money counting machine, scaling, was 260.000
		self.small_loot.vault_loot_gold = 34000 			   --was 30.000
		self.small_loot.vault_loot_cash = 25000				   --changed, was 15000
		self.small_loot.vault_loot_coins = 8900  			   --coin collections have very different values, scaling, was 10.500
		self.small_loot.vault_loot_ring = 425				   --rings aren't that expensive, was 4500
		self.small_loot.vault_loot_jewels = 32000			   --changed, was 7500
		self.small_loot.vault_loot_macka = 1 				   --no change
	elseif difficulty_index == 7 then --DW 12 SCALING
		self.small_loot.money_bundle = 9000 				   --scaling was 1000
		self.small_loot.money_bundle_value = 10000			   --no change
		self.small_loot.ring_band = 1954 					   --no change
		self.small_loot.diamondheist_vault_bust = 12000		   --necklace, was 12000
		self.small_loot.diamondheist_vault_diamond = 135000	   --in real life these are worth millions so I increased the value, was 15000
		self.small_loot.diamondheist_big_diamond = 135000	   --in real life these are worth millions so I increased the value, was 15000
		self.small_loot.mus_small_artifact = 8750			   --scaling, was 9500
		self.small_loot.value_gold = 37250					   --based on vault price, was 3000
		self.small_loot.gen_atm = 185000					   --scaling was 300.000
		self.small_loot.special_deposit_box = 3500			   --If I remember correctly this isn't used
		self.small_loot.slot_machine_payout = 300000		   --scaling, was 325000
		self.small_loot.vault_loot_chest = 7000			       --scaling, was 7500
		self.small_loot.vault_loot_diamond_chest = 185000	   --in real life these are worth millions so I increased the value
		self.small_loot.vault_loot_banknotes = 6000 		   --scaling, was 6500
		self.small_loot.vault_loot_silver = 1900 			   --4kg silver
		self.small_loot.vault_loot_diamond_collection = 19200  --was 8500
		self.small_loot.vault_loot_trophy = 8300 			   --scaling was 9000
		self.small_loot.money_wrap_single_bundle_vscaled = 5000--no idea what this is
		self.small_loot.spawn_bucket_of_money = 240000		   --same as money counting machine, scaling, was 260.000
		self.small_loot.vault_loot_gold = 37250 			   --was 30.000
		self.small_loot.vault_loot_cash = 27500				   --changed, was 15000	       
		self.small_loot.vault_loot_coins = 9700 			   --coin collections have very different values, scaling, was 10.500
		self.small_loot.vault_loot_ring = 460				   --rings aren't that expensive, was 4500
		self.small_loot.vault_loot_jewels = 3500			   --changed, was 7500
		self.small_loot.vault_loot_macka = 1				   --no change
	else --DS 13
		self.small_loot.money_bundle = 10000				   --was 1000
		self.small_loot.money_bundle_value = 10000			   --no change
		self.small_loot.ring_band = 1954 					   --no change
		self.small_loot.diamondheist_vault_bust = 12000		   --necklace, was 12000
		self.small_loot.diamondheist_vault_diamond = 150000	   --in real life these are worth millions so I increased the value, was 15000
		self.small_loot.diamondheist_big_diamond = 150000	   --in real life these are worth millions so I increased the value, was 15000
		self.small_loot.mus_small_artifact = 9500			   --packed with multiple, no change as I am no expert on artifacts
		self.small_loot.value_gold = 40250					   --based on vault price, was 3000
		self.small_loot.gen_atm = 200000 					   --max amount they can hold is ussually 200.000 was 300.000
		self.small_loot.special_deposit_box = 3500			   --If I remember correctly this isn't used
		self.small_loot.slot_machine_payout = 325000           --no change
		self.small_loot.vault_loot_chest = 7500				   --no change
		self.small_loot.vault_loot_diamond_chest = 200000	   --in real life these are worth millions so I increased the value, was 8000
		self.small_loot.vault_loot_banknotes = 6500			   --no change
		self.small_loot.vault_loot_silver = 2000 			   --4kg silver 4*514
		self.small_loot.vault_loot_diamond_collection = 21000  --worth around 21000 in real life, was 8500
		self.small_loot.vault_loot_trophy = 9000 			   --no change
		self.small_loot.money_wrap_single_bundle_vscaled = 5000--no idea what this is
		self.small_loot.spawn_bucket_of_money = 260000		   --same as money counting machine, possible ammount, no change
		self.small_loot.vault_loot_gold = 40250 			   --was 30.000
		self.small_loot.vault_loot_cash = 30000				   --money rolls, 3*10.000=30.000 , was 15000
		self.small_loot.vault_loot_coins = 10500 			   --coin collections have very different values
		self.small_loot.vault_loot_ring = 500				   --rings aren't that expensive, was 4500
		self.small_loot.vault_loot_jewels = 38000			   --gold rolex 32000+3 golden rings 600+diamond bracelet 4000~=38000, was 7500
		self.small_loot.vault_loot_macka = 1 				   --no change
	end
end)